Bug 106048 - Japanese characters cannot be input using Wnn
Japanese characters cannot be input using Wnn
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kinput2 (Show other bugs)
3.0
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-02 05:17 EDT by Toshiteru Nishio
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 12:21:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Toshiteru Nishio 2003-10-02 05:17:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:1.0.2) Gecko/20030716

Description of problem:
When Wnn is set up as the Kana-Kanji conversion server, Japanese characters
cannot be input.

Version-Release number of selected component (if applicable):
kinput2-canna-wnn6-v3.1-9 (Related components: Wnn6-SDK-1.0-25, FreeWnn-1.11-36,
FreeWnn-common-1.11-36)

How reproducible:
Always

Steps to Reproduce:
1. Install Red Hat Enterprise Linux 3 AS Beta2 for Itanium setting the default
language to Japanese. kinput2 and Canna are set up automatically as the default
Japanese input method and Kana-Kanji conversion server.
2. Change the Kana-Kanji conversion server from Canna to Wnn as follows.
- Change some lines in /etc/X11/xinit/xinitrc.d/xinput file to comments by
adding #'s as follows. 

  #if [ X"`ldd /usr/X11R6/bin/kinput2 | grep libcanna`" = X ] ; then
       XIM_ARGS="-wnnenvrc /etc/FreeWnn/ja/wnnenvrc"
  #else
  #       XIM_ARGS="-canna"
  #fi

- Log in GNOME again.
3. Confirm the "kinput2 -wnnenvrc /etc/FreeWnn/ja/wnnenvrc" process does not exist.
4. Try Japanese input on a gnome-terminal window as follows.
- Push Shift+SP key. But English input mode is not changed to Japanese input
mode. Therefore Japanese characters cannot be input.
  

Actual Results:  When Wnn is set up as the Kana-Kanji conversion server,
Japanese characters cannot be input.

Expected Results:  When Wnn is set up as the Kana-Kanji conversion server,
Japanese characters can be input.


Additional info:

- On Red Hat Linux 7.2 for i386, this problem does not occur.
- When Red Hat Enterprise Linux 3 AS Beta2 is installed, not Wnn but Canna is
set up automatically as the default Kana-Kanji conversion server. And Japanese
characters can be input normally. Therefore it seems that the severity of this
problem is low.
Comment 1 Akira TAGOH 2003-10-16 21:02:57 EDT
fixed kinput2 will be available as an errata.
Comment 2 Jay Turner 2004-01-16 12:21:09 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-304.html

Note You need to log in before you can comment on or make changes to this bug.